\documentclass[11pt,a4paper]{article}
\usepackage{lmodern}
\usepackage[a4paper,margin=3cm]{geometry}
\usepackage{orcidlink}
\usepackage{authblk}
\begin{document}
\title{Guidance to build a KPI system suitable for distributed research infrastructures}
\author[1]{Jonathan Schaeffer\,\orcidlink{0000-0002-2447-7394}}
\author[1,2]{Helle Pedersen\,\orcidlink{0000-0003-2936-8047}}
\author[3]{Jarek Bienkowski\,\orcidlink{0000-0002-9455-1318}}
\author[4]{Christos Evangelidis\,\orcidlink{0000-0001-8733-8984}}
\author[4]{Vasilis Petrakopoulos\,\orcidlink{0009-0002-9546-1098}}
\author[5]{Javier Quinteros\,\orcidlink{0000-0001-9993-4003}}
\author[5]{Angelo Strollo\,\orcidlink{0000-0001-9602-6077}}
\author{ORFEUS-EIDA Technical Committee and Management Board}
\date{}

\maketitle

The purpose of this document is to provide some recommendations on how to build a successful KPI system for other distributed infrastructures like EIDA, based on the lessons learnt during the conception, deployment and exploitation of  our system.

The steps described here after are all detailed in the main manuscript.

\begin{enumerate}
  \item Identify the stakeholders and the governance of the project
  \item Governance should write down which metrics are needed, for whom, and their levels of granularity. It is critical in this step to define data sets identification and possibly data hierarchy.
  \item Design a metrics database. This design should also consider the volume at stake, the growth, and the retention policy.
  \item If the local aggregation option is pertinent, each node needs an aggregator program. If the nodes run on homogeneous software, this program can be written once and deployed everywhere.
  \item If the centralised aggregation option is more pertinent, design a centralisation service and its interfaces with all the nodes in the federation. There are proven, robust and mature open source solutions on the shelf (like opensearch or influxdb). In this option, the aggregation service can have a short retention policy, just enough to process the time based aggregations.
  \item Implement and deploy the central ingestion service where aggregated metrics will be shipped.
  \item Implement the API to publish the metrics, deploy centrally.
  \item Implement the dashboard.
\end{enumerate}
\end{document}

%%% Local Variables:
%%% mode: latex
%%% TeX-master: t
%%% ispell-local-dictionary: en_GB
%%% End:
